{
  "providerId": "MethodSelfcallDirectives",
  "method": "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.eUnset(I)V",
  "numberOfDefinitions": 2,
  "calls": {
    "Lorg/eclipse/uml2/uml/internal/operations/ExtensionEndOperations.setLower(Lorg/eclipse/uml2/uml/ExtensionEnd;I)V": 1,
    "Lorg/eclipse/emf/ecore/impl/EModelElementImpl.getEAnnotations()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/common/util/SubsetSupersetEObjectResolvingEList.\u003cinit\u003e(Ljava/lang/Class;Lorg/eclipse/emf/ecore/InternalEObject;I[I[I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotificationRequired()Z": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setType(Lorg/eclipse/uml2/uml/Type;)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setLowerValue(Lorg/eclipse/uml2/uml/ValueSpecification;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setIsUnique(Z)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setOpposite(Lorg/eclipse/uml2/uml/Property;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/FeatureImpl.setIsStatic(Z)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setOwningAssociation(Lorg/eclipse/uml2/uml/Association;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.eNotify(Lorg/eclipse/emf/common/notify/Notification;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.unsetDefault()V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setAggregation(Lorg/eclipse/uml2/uml/AggregationKind;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setInterface(Lorg/eclipse/uml2/uml/Interface;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.setNameExpression(Lorg/eclipse/uml2/uml/StringExpression;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.unsetName()V": 2,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IILjava/lang/Object;Ljava/lang/Object;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getSubsettedProperties()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getQualifiers()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setTemplateParameter(Lorg/eclipse/uml2/uml/TemplateParameter;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setIsComposite(Z)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setIsOrdered(Z)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setIsReadOnly(Z)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setAssociation(Lorg/eclipse/uml2/uml/Association;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setIsID(Z)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setAssociationEnd(Lorg/eclipse/uml2/uml/Property;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/NamedElementImpl.unsetVisibility()V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setUpper(I)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setOwningTemplateParameter(Lorg/eclipse/uml2/uml/TemplateParameter;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getDeployments()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setIsDerived(Z)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setLower(I)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/ElementImpl.getOwnedComments()Lorg/eclipse/emf/common/util/EList;": 2,
    "Lorg/eclipse/emf/ecore/impl/ENotificationImpl.\u003cinit\u003e(Lorg/eclipse/emf/ecore/InternalEObject;IIZZ)V": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setIsDerivedUnion(Z)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.getRedefinedProperties()Lorg/eclipse/emf/common/util/EList;": 1,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setDefaultValue(Lorg/eclipse/uml2/uml/ValueSpecification;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/RedefinableElementImpl.setIsLeaf(Z)V": 2,
    "Lorg/eclipse/emf/ecore/impl/BasicEObjectImpl.eDynamicUnset(I)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/PropertyImpl.setDatatype(Lorg/eclipse/uml2/uml/DataType;)V": 2,
    "Lorg/eclipse/uml2/uml/internal/impl/StructuralFeatureImpl.setUpperValue(Lorg/eclipse/uml2/uml/ValueSpecification;)V": 2
  }
}